<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/Admin/Guide.master"
    CodeBehind="NodeInfoManageGuide.aspx.cs" Inherits="PowerEasy.Module.General.WebSite.Admin.Contents.NodeInfoManageGuide"
    Title="信息管理向导" %>

<asp:Content ID="Content1" ContentPlaceHolderID="CphTitle" runat="Server">
    信息管理向导
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="CphSubMenu" runat="Server">
    <div class="guideexpand" onclick="Switch(this)">
       <asp:Label ID="LblNodeName" runat="server"></asp:Label>管理</div>
    <div class="guide">
        <ul>
            <li><a id="EahInfoManage" href="" runat="server">内容管理</a></li>
            <asp:Repeater ID="RptModelManage" OnItemDataBound="RptModelManage_ItemDataBound" runat="server">
                <ItemTemplate>
                    <li><a id="Addcontent" href="" runat="server"></a></li>
                     <li><a id="ManageInfoByModelId" href="" runat="server"></a></li>
                </ItemTemplate>
            </asp:Repeater>
            <li><a id="EahHtmlManage" href="" runat="server">生成管理</a></li>
            <li><a id="EahRecycle" href="" runat="server">回收站管理</a></li>
            <li><a id="EahSignIn" href="" runat="server">签收管理</a></li>
            <li><a id="EahPreview" href="" runat="server">浏览节点</a></li>
            <li><a id="EahReturn" href="javascript:going('returnTree')" runat="server">返回节点树</a></li>
        </ul>
    </div>

    <script language="javascript" type="text/javascript">
<!--
        function going(type, id, nodeId, Iseshop, filePath, linkUrl) {
            var contentFilePath = "Content.aspx";

            if (filePath != "") {
                contentFilePath = filePath;
            }
            if (Iseshop == "2") {
                contentFilePath = "../Shop/" + filePath;
            }
            switch (type) {
                case "allInfo":
                    var url = "ContentManage.aspx?NodeID=" + nodeId;
                    JumpToMainRight(url);
                    break;
                case "manageinfo":
                    var url = contentFilePath + "?NodeId=" + nodeId + "&ModelID=" + id;
                    JumpToMainRight(url);
                    break;
                case "addcontent":
                    var url = contentFilePath + "?Action=add&NodeId=" + nodeId + "&ModelID=" + id;
                    JumpToMainRight(url);
                    break;
                case "setNode":
                    var url = "Category.aspx?Action=Modify&NodeID=" + nodeId;
                    JumpToMainRight(url);
                    break;
                case "htmlManage":
                    var url = "ContentHtml.aspx?NodeID=" + nodeId;
                    JumpToMainRight(url);
                    break;
                case "signin":
                    var url = "ContentSignin.aspx?NodeID=" + nodeId;
                    JumpToMainRight(url);
                    break;
                case "recycle":
                    var url = "ContentRecycle.aspx?NodeID=" + nodeId;
                    JumpToMainRight(url);
                    break;
                case "preview":
                    window.open(linkUrl, "_blank");
                    break;
                case "sitepublish":
                    var url = "CreateHtmlSingle.aspx?NodeID=" + nodeId;
                    JumpToMainRight(url);
                case "showinfo":
                    JumpToMainRight(linkUrl);
                    var url = "NodeInfoManageGuide.aspx?NodeID=" + nodeId;
                    JumpToMainLeft(url);
                case "returnTree":
                    var url = "NodeTree.aspx?NodeID=" + nodeId;
                    JumpToMainLeft(url);
                    break;
            }
        }
//-->
    </script>

</asp:Content>
